---

# https://github.com/mvisonneau/gitlab-ci-pipelines-exporter/blob/master/docs/configuration_syntax.md

gitlab:
  url: https://gitlab.com
  # You can also configure the token using --gitlab-token
  # or the  environment variable
  token: {{ gitlab_ci_pipelines_exporter_token }}
  maximum_requests_per_second: {{ gitlab_ci_pipelines_api_requests_per_second }}
  burstable_requests_per_second: {{ gitlab_ci_pipelines_burstable_requests_per_second }}
  maximum_jobs_queue_size: {{ gitlab_ci_pipelines_queue_buffer_size }}

pull:
  projects_from_wildcards:
    on_init: true
    scheduled: true
    interval_seconds: 1800

  environments_from_projects:
    on_init: false
    scheduled: true
    interval_seconds: 300

  refs_from_projects:
    on_init: true
    scheduled: true
    interval_seconds: 300

  metrics:
    on_init: false
    scheduled: true
    interval_seconds: 300

project_defaults:
  output_sparse_status_metrics: true

  pull:
    environments:
      enabled: {{ gitlab_ci_pipelines_environments | lower }}
      regexp: ".*"
      exclude_stopped: true

    refs:
      branches:
        enabled: true
        regexp: {{ gitlab_ci_pipelines_ref_regex }}
        most_recent: 0
        max_age_seconds: 2592000 # 30 days
        exclude_deleted: true

      tags:
        enabled: true
        regexp: ".*"
        most_recent: 0
        max_age_seconds: 7776000 # 90 days
        exclude_deleted: true

      merge_requests:
        enabled: {{ gitlab_ci_pipelines_merge_requests | lower }}
        most_recent: 0
        max_age_seconds: 604800 # 7 days

    pipeline:
      jobs:
        enabled: {{ gitlab_ci_pipelines_jobs | lower }}
        from_child_pipelines:
          enabled: false
        runner_description:
          enabled: false

      variables:
        enabled: false
        regexp: ".*"

      test_reports:
        enabled: false
        test_cases:
          enabled: false

wildcards:
  - owner:
      name: ska-telescope
      kind: group
      include_subgroups: true
